# Uses of Interface
org.eclipse.birt.chart.model.data.StockDataSet

Packages that use StockDataSet
Package
Description
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of StockDataSet in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return StockDataSet
Modifier and Type
Method
Description
`StockDataSet`
StockDataSet.`copyInstance()`
`StockDataSet`
DataFactory.`createStockDataSet()`
Returns a new object of class 'Stock Data Set'.

## Uses of StockDataSet in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement StockDataSet
Modifier and Type
Class
Description
`class`
`StockDataSetImpl`
An implementation of the model object 'Stock Data Set'.
Methods in org.eclipse.birt.chart.model.data.impl that return StockDataSet
Modifier and Type
Method
Description
`StockDataSet`
StockDataSetImpl.`copyInstance()`
`static final StockDataSet`
StockDataSetImpl.`create(Object oValues)`
A convenience method to create an initialized 'StockDataSet' instance
`StockDataSet`
DataFactoryImpl.`createStockDataSet()`